Subject: Re: Xinerama patch -- v2

From: "Dmitry Yu. Bolkhovityanov" <[email-masked]>
Date: Tue, 24 Jul 2001 21:48:02 +0700

On 23 Jul 01 at 18:55, [email-masked] wrote:

> On Mon, Jul 23, 2001 at 06:34:52PM +0700, Dmitry Yu. Bolkhovityanov wrote:
> Content-Description: Mail message body
> >     Hi!
> >
> >     Attached is a new version of Xinerama patch.  The .tgz contains a diff
> > file (against 05-Jul-2001 snapshot), two new files in libs/, and a
> > description of what was done.
>
> Could you by any chance update this patch for the current CVS
> version?  The risk that I do something wrong if I merge the patch
> with the current code is way too high.
>
> >     This patch has a very basic RandR support, which is disabled by default.
> >
> >     Also new from previous version is XiSuppParseGeometry(), which
> > implements a concept of "primary screen".
> >
> >     To enable lots of debug info, -DDEBUG_PRINTS=1 can be used.
> >
> >     Since some Xinerama support was already added to CVS, I decided to post
> > this patch immediately and not spend time adapting it to current CVS (which
> > will advance even further by the time adaptation is finished ;-).
>
> Well, either you adapt it or I do.  Sice you wrote the patch
> yourself it's safer if you do it.  Don't believe merging the patch
> is less work just because someone else does it ;-)

    Well, we should first decide who does it (sorry for such a bureacracy ;-)
-- there's a 100%-possibility of conflict when simultaneously making changes
to the same pieces of code.  I'll have time for it about friday.  The point
is that new version should be integrated as soon as possible, for next
changes to be based on it instead of older one.

    As I understand, all modifications to the modules/ can be performed
safely, since you didn't touch them yet, right?  And, BTW, the patch
contained a slightly modified version of TaskBar patch (with revealed-when-
focused functionality), which is already in CVS.

    So, if you do it now -- okay; if you give me a timeslot on friday --
I'll do it myself.

       ___________________________________________________________________
       Dmitry Yu. Bolkhovityanov  |  Novosibirsk, RUSSIA
       phone (383-2)-39-49-56     |  The Budker Institute of Nuclear Physics
                                  |  Lab. 5-13
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 24 Jul 2001 18:06:44 +0200

>     Well, we should first decide who does it (sorry for such a bureacracy ;-)

Okay, then you should do it.  I and Olivier already made some
changes to the libs/Xinerama... files.  If you spent any time
patching menus.c, don't include it in the patch but instead make
a separate patch with a description of the changes.  I will then
do all the work in the menu code.

>     So, if you do it now -- okay; if you give me a timeslot on friday --

If you actively develop code, the best way ist to always keep up
to date with CVS always.  The conflicts are much easier to resolve
at the moment they occur.
 
Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20